آموزش رفع اشکال نصب و حذف پوسته و افزونه در وردپرس

رفع خطای نصب پوسته وردپرس

بعد از آپدیت نسخه ی ۴.۵ به بعد در برخی از نسخه های وردپرس مشکل تغییرات در پوسته ها و افزونه های وردپرس رخ داده است؛

این مشکل جلوی نصب، حذف و بروزرسانی افزونه ها و قالب ها را در وردپرس می گیرد.

برای حل این مشکل با ما همراه باشید.

 

دقیقا این مشکل از کجا شروع می شود؟

در هاست های لینوکس به علت امنیت بالای آنها میزان دسترسی و مجوزهای دسترسی به پوشه های مختلف این مشکل را ایجاد می کند؛

که البته می توان با افزایش مجوزهای پوشه های اصلی وردپرس این مشکل را حل کرد ولی این مورد تحت هیچ شرایط توصیه نخواهد شد.

 

برای حل این مشکل کافیست قطعه کد زیر را در فایل wp-config.php اضافه کنید.

(مراقب باشید این فایل اهمیت بالایی دارد و در صورت خراب کردن این فایل ممکن است مشکلاتی برای سایتتان به وجو بیاید.)

کد ::

در کد بالا همانطور که مشاهده می کنید؛

ابتدا با یه شرط بررسی می کند؛

که اگر شما به عنوان کاربر مدیر وارد وردپرس خود شده باشید بدون محدودیت دسترسی به پوشه های قالب ها و افزونه ها آزادانه در آنها تغییرات بوجود آورید.

 

امیدوارم مشکل شما با این مورد حل شود؛

در صورتی که راه حل بهتر یا مشکل دیگری دارید با ما در میان بگذارید تا برای دیگران به اشتراک بگذاریم.

 

نظرات خود را در ارتباط با ترفند “رفع خطای نصب پوسته وردپرس” برای ما و کاربران دیگر سایت بنویسید.

موفق و پیروز باشید.

برای امتیاز به این نوشته کلیک کنید!
[کل: ۱ میانگین: ۴]
با دوستانتان به اشتراک بگذارید

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

*

code